Subject: bug#8856: 24.0.50; regression: special-display-frame is no longer dedicated

From: martin rudalics <[email-masked]>
Date: Sun, 26 Jun 2011 15:50:03 +0200

> 1. I don't think you are in Icicle mode when testing.
 > Did you do `M-x icy-mode' at the start, to get in the mode?

No.

 > I mentioned that you can try the same test (starting from Emacs startup each
 > time) both in and out of Icicle mode, to see the difference.  If not in Icicle
 > mode then you will not see the bug.
 >
 > 2. If you are in Icicle mode then you won't even get to `foo' after hitting `M-x
 > f TAB'.
 >
 > After starting Emacs as I indicated and getting into Icicle mode, when you hit
 > `M-x f TAB' the Completions frame is created and it incorrectly gets the input
 > focus.  When you then hit `o' you get the read-only error.
 >
 > It is important to test from scratch: no Completions frame or buffer, not even
 > iconified.  Then just type `M-x f TAB o'.

I see it now.  The Completions buffer pop ups up in a normal frame instead.

 > Note that even in Emacs 23, where there is no such bug, when you complete to
 > footnote-mode in Icicle mode the Completions frame is not iconified.  It is
 > instead deleted.

I attached a fixed copy of window.el, please try it.  Completing now
deletes the Completions frame.  I also restored the old meaning of the
third argument of `display-buffer' for the described frame values.

martin